#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Authen
%define		pnam	Smb
%include	/usr/lib/rpm/macros.perl
Summary:	Authen::Smb - Perl extension to authenticate against an SMB server
Summary(pl.UTF-8):	Authen::Smb - rozszerzenie Perla do uwierzytelniania za pośrednictwem serwera SMB
Name:		perl-Authen-Smb
Version:	0.91
Release:	18
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	97d8aee872160eeabd0c08a7b0985216
URL:		http://search.cpan.org/dist/Authen-Smb/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::Smb Perl module allows you to authenticate a user against an
NT domain. You can specify both a primary and a backup server to use
for authentication. The NT names of the machines should be used for
specifying servers.

%description -l pl.UTF-8
Moduł Perla Authen::Smb umożliwia uwierzytelnianie użytkownika za
pośrednictwem domeny NT. Daje możliwość określenia zarówno serwera
podstawowego, jak i zapasowego, które bedą używane do
uwierzytelniania. Do określenia serwerów należy używać nazw NT.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Authen/Smb.pm
%dir %{perl_vendorarch}/auto/Authen/Smb
%{perl_vendorarch}/auto/Authen/Smb/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Authen/Smb/Smb.so
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Authen-Smb.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ff07bcf
- perl req/prov fix
- release 18 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3834539
- rebuild with perl 5.26
- release 17 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a4126ad
- rebuild with perl 5.24.0
- release 16 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 61a2759
- release 15 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 295a921
- x32 rebuild
- release 14 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 9f9159d
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cb19d84
- release 13 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c02da4d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2e7e68c
- rebuild for perl 5.20
- release 12 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c8dd0c3
- rebuild with perl 5.18.0
- release 11 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 638bad9
- release 10

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 45e0e8d
- rel 9

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> cc5c25a
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fd6af6e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 797a22d
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 02ad73c
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 5a2bae7
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> c7f8085
- rel. 8

* Thu May 06 2004 ankry <ankry@pld-linux.org> 5233d47
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 230951f
- cosmetics: unification

